<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <ImageView
        android:id="@+id/img_reg_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/platform_dp_16"
        android:layout_marginTop="54dp"
        android:src="@drawable/user_ic_back_black"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_password_orSet_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/platform_dp_40"
        android:text="密码登录"
        android:textColor="@color/pay_color_242424"
        android:textSize="22sp"
        app:layout_constraintLeft_toRightOf="@id/img_reg_back"
        app:layout_constraintTop_toBottomOf="@id/img_reg_back" />

    <EditText
        android:id="@+id/et_input_password"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_marginTop="100dp"
        android:layout_weight="1"
        android:background="@null"
        android:digits="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"
        android:hint="输入密码"
        android:lines="1"
        android:maxLines="16"
        android:textColorHint="@color/platform_color_BFBFBF"
        android:textSize="20sp"
        app:layout_constraintEnd_toStartOf="@id/iv_visibility"
        app:layout_constraintStart_toStartOf="@id/tv_password_orSet_title"
        app:layout_constraintTop_toBottomOf="@id/tv_password_orSet_title" />

    <View
        android:id="@+id/view_lin"
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginTop="@dimen/platform_dp_10"
        android:layout_marginEnd="@dimen/platform_dp_40"
        android:background="@color/platform_color_EBEBEB"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@id/tv_password_orSet_title"
        app:layout_constraintTop_toBottomOf="@id/et_input_password" />

    <ImageView
        android:id="@+id/iv_visibility"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/user_ic_invisibility_new"
        app:layout_constraintBottom_toBottomOf="@id/et_input_password"
        app:layout_constraintEnd_toEndOf="@id/view_lin"
        app:layout_constraintTop_toTopOf="@id/et_input_password"/>

    <TextView
        android:id="@+id/forget_password_hint"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/platform_dp_10"
        android:layout_marginEnd="@dimen/platform_dp_27"
        android:text="密码为6-16个字符，数字和英文字母组合"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="@id/view_lin"
        app:layout_constraintStart_toStartOf="@id/view_lin"
        app:layout_constraintTop_toBottomOf="@id/view_lin"/>

    <TextView
        android:id="@+id/tv_msm_login"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/platform_dp_12"
        android:text="验证码登录"
        android:textColor="@color/platform_color_666666"
        android:textSize="13sp"
        app:layout_constraintStart_toStartOf="@id/view_lin"
        app:layout_constraintTop_toBottomOf="@id/view_lin"/>

    <TextView
        android:id="@+id/tv_forget"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="忘记密码?"
        app:layout_constraintBottom_toBottomOf="@id/tv_msm_login"
        app:layout_constraintEnd_toEndOf="@id/view_lin"
        app:layout_constraintTop_toTopOf="@id/tv_msm_login"/>

    <TextView
        android:id="@+id/login_password"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/platform_dp_28"
        android:layout_marginTop="@dimen/platform_dp_25"
        android:layout_marginEnd="@dimen/platform_dp_28"
        android:background="@drawable/login_password_unable_bg_24dp"
        android:enabled="false"
        android:gravity="center"
        android:paddingTop="@dimen/platform_dp_14"
        android:paddingBottom="@dimen/platform_dp_14"
        android:text="登录"
        android:textColor="@color/white"
        android:textSize="17sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_msm_login"
        app:layout_goneMarginTop="@dimen/platform_dp_25" />
</androidx.constraintlayout.widget.ConstraintLayout>